# zapette.hpp File Reference

remote control between dar and dar_slave. More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "integers.hpp"`

Go to the source code of this file.

## Classes
class | libdar::zapette
| zapette emulate a file that is remotely controlled by slave_zapette More...
class | libdar::slave_zapette
| this class answers to order given by a zapette object More...
## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

remote control between dar and dar_slave.

Two classes are defined in this module

- zapette is the dar side master class
- slave_zapette dar_slave side

these two classes communicate throw a pair pipes

Definition in file zapette.hpp.